Loading...
Searching...
No Matches
etl::standard_deviation< Standard_Deviation_Type, TInput, TCalc > Class Template Reference

Standard Deviation. More...

`#include <standard_deviation.h>`

## Public Member Functions

| standard_deviation ()
| Constructor.
template<typename TIterator>
| standard_deviation (TIterator first, TIterator last)
| Constructor.
void | add (TInput value)
| Add a pair of values.
template<typename TIterator>
void | add (TIterator first, TIterator last)
| Add a range.
void | operator() (TInput value)
template<typename TIterator>
void | operator() (TIterator first, TIterator last)
double | get_variance () const
| Get the variance.
double | get_standard_deviation () const
| Get the standard_deviation.
| operator double () const
| Get the standard_deviation.
size_t | count () const
| Get the total number added entries.
void | clear ()
| Clear the histogram.

## Additional Inherited Members

Public Types inherited from etl::private_standard_deviation::standard_deviation_traits< TInput, TInput >
typedef TInput | calc_t
Public Types inherited from etl::binary_function< TInput, TInput, void >
typedef TInput | first_argument_type
typedef TInput | second_argument_type
typedef void | result_type

## Detailed Description

template<bool Standard_Deviation_Type, typename TInput, typename TCalc = TInput>
class etl::standard_deviation< Standard_Deviation_Type, TInput, TCalc >

Standard Deviation.

## Member Function Documentation

## operator()() [1/2]

template<bool Standard_Deviation_Type, typename TInput, typename TCalc = TInput>

void etl::standard_deviation< Standard_Deviation_Type, TInput, TCalc >::operator() | ( | TInput | value | ) |

inline

operator () Add a pair of values.

## operator()() [2/2]

template<bool Standard_Deviation_Type, typename TInput, typename TCalc = TInput>
template<typename TIterator>

void etl::standard_deviation< Standard_Deviation_Type, TInput, TCalc >::operator() | ( | TIterator | first,
|  | TIterator | last )

inline

operator () Add a range.

The documentation for this class was generated from the following file:

- include/etl/standard_deviation.h